## command-predictor command-predictor |

## Synopsis

    enum                Prediction_Algorithm;
    void                command_predictor_free              (const Command_Predictor predictor);
    Command_Predictor   command_predictor_create            (const Command_Graph graph);
    void                command_predictor_calculate_recency_percentages
                                                            (const Command_Predictor predictor);
    const float         command_predictor_get_recency_percent_correct
                                                            (const Command_Predictor predictor,
                                                             const int index);
    void                command_predictor_calculate_frequency_percentages
                                                            (const Command_Predictor predictor);
    const float         command_predictor_get_frequency_percent_correct
                                                            (const Command_Predictor predictor,
                                                             const int index);
    const Command_Vertex* command_predictor_predict_same_as_last
                                                            (const Command_Predictor predictor);
    const Command_Vertex* command_predictor_predict_high_stat
                                                            (const Command_Predictor predictor);
    void                command_predictor_evaluate_prediction
                                                            (const Command_Predictor predictor,
                                                             const Command_Vertex actual_vertex,
                                                             const Prediction_Algorithm algorithm,
                                                             const int num_predictions);

## Description

## Details

### enum Prediction_Algorithm

    typedef enum {
      RECENCY,
      FREQUENCY
    } Prediction_Algorithm;

### command_predictor_free ()

    void                command_predictor_free              (const Command_Predictor predictor);

`predictor` : |

### command_predictor_create ()

    Command_Predictor   command_predictor_create            (const Command_Graph graph);

`graph` : |
Returns : |

### command_predictor_calculate_recency_percentages ()

    void                command_predictor_calculate_recency_percentages
                                                            (const Command_Predictor predictor);

`predictor` : |

### command_predictor_get_recency_percent_correct ()

    const float         command_predictor_get_recency_percent_correct
                                                            (const Command_Predictor predictor,
                                                             const int index);

`predictor` : |
`index` : |
Returns : |

### command_predictor_calculate_frequency_percentages ()

    void                command_predictor_calculate_frequency_percentages
                                                            (const Command_Predictor predictor);

`predictor` : |

### command_predictor_get_frequency_percent_correct ()

    const float         command_predictor_get_frequency_percent_correct
                                                            (const Command_Predictor predictor,
                                                             const int index);

`predictor` : |
`index` : |
Returns : |

### command_predictor_predict_same_as_last ()

    const Command_Vertex* command_predictor_predict_same_as_last
                                                            (const Command_Predictor predictor);

`predictor` : |
Returns : |

### command_predictor_predict_high_stat ()

    const Command_Vertex* command_predictor_predict_high_stat
                                                            (const Command_Predictor predictor);

`predictor` : |
Returns : |

### command_predictor_evaluate_prediction ()

    void                command_predictor_evaluate_prediction
                                                            (const Command_Predictor predictor,
                                                             const Command_Vertex actual_vertex,
                                                             const Prediction_Algorithm algorithm,
                                                             const int num_predictions);

`predictor` : |
`actual_vertex` : |
`algorithm` : |
`num_predictions` : |